
Katello - Bug #4839

Sometimes the hidden user is not created in pulp

03/25/2014 03:27 PM - Justin Sherrill

Status: Resolved   

Priority: Urgent   

Assignee: Justin Sherrill   

Category:    

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

For some reason during the install the hidden user is not created in pulp:

[root@sat-perf-04 ~]# mongo

MongoDB shell version: 2.2.4

connecting to: test

use pulp_database

 switched to db pulp_database

db.users.find()

 { "_id" : ObjectId("5330b3791fdebb21a7000004"), "name" : "admin", "roles" : [ "super-users" ], "_ns" : "users", "login" : "admin",

"password" : "ddHgAbkpmVE=,Dmt/xYH+I36b2sK/DVWXdAH350aQWN3uXunHdY+Zifs=", "id" : "5330b3791fdebb21a7000004" }

The result is that system registration fails during package profile upload:

1. subscription-manager register --username=admin --password=changeme --org=ACME_Corporation --force --env=dev/RHEL6

The system with UUID 87be7404-e39d-4365-994e-aad65fd7d770 has been unregistered

The system has been registered with id: 22b3455f-a235-4a8d-92e7-19820f4eadb0

Error updating system data on the server, see /var/log/rhsm/rhsm.log for more details.

Associated revisions

Revision 56d75a78 - 03/31/2014 06:09 AM - Ivan Necas

Fixes #4839 - make sure http is running before the seed script

Revision 6be7c9f7 - 04/02/2014 04:57 PM - Mike McCune

Merge pull request #19 from iNecas/ensure-seed-after-httpd

Fixes #4839 - make sure http is running before the seed script

History

#1 - 03/25/2014 03:34 PM - Justin Sherrill

Note that a test of nightly on centos 6.4 does not seem to reproduce this.

#2 - 04/25/2014 11:57 AM - Justin Sherrill

- translation missing: en.field_release set to 13

#3 - 05/14/2014 08:13 PM - Justin Sherrill

- Status changed from Assigned to Resolved
- Assignee set to Justin Sherrill

Haven't seen this in a VERY long time. closing

#4 - 05/27/2014 05:08 PM - Eric Helms

- Target version set to 44

#5 - 06/06/2014 01:08 PM - Eric Helms

- Triaged changed from No to Yes
